Semantic search
Performs semantic (vector) search against a knowledge base namespace. Returns ranked results with scores.
POST
/
knowledge_base
/
query
Semantic search
curl --request POST \
--url https://api.svantic.com/knowledge_base/query \
--header 'Content-Type: application/json' \
--data '
{
"namespace": "string",
"query": "string",
"top_k": 1
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({namespace: 'string', query: 'string', top_k: 1})
};
fetch('https://api.svantic.com/knowledge_base/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/knowledge_base/query"
payload = {
"namespace": "string",
"query": "string",
"top_k": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/knowledge_base/query"
payload := strings.NewReader("{\n \"namespace\": \"string\",\n \"query\": \"string\",\n \"top_k\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"results": [
{
"text": "string",
"source_id": "string",
"score": 0,
"tags": [
"string"
]
}
],
"total_candidates": 0
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "Not found",
"code": "NOT_FOUND",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}Body
application/json
Gateway POST /knowledge_base/query — QuerySchema (top_k accepted in body; gateway currently forwards namespace + query to the knowledge service).
⌘I
Semantic search
curl --request POST \
--url https://api.svantic.com/knowledge_base/query \
--header 'Content-Type: application/json' \
--data '
{
"namespace": "string",
"query": "string",
"top_k": 1
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({namespace: 'string', query: 'string', top_k: 1})
};
fetch('https://api.svantic.com/knowledge_base/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/knowledge_base/query"
payload = {
"namespace": "string",
"query": "string",
"top_k": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/knowledge_base/query"
payload := strings.NewReader("{\n \"namespace\": \"string\",\n \"query\": \"string\",\n \"top_k\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"results": [
{
"text": "string",
"source_id": "string",
"score": 0,
"tags": [
"string"
]
}
],
"total_candidates": 0
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "Not found",
"code": "NOT_FOUND",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}